#ifndef ENTHALPYDATACORRECTIONFORM_H
#define ENTHALPYDATACORRECTIONFORM_H

#include <QWidget>

namespace Ui {
class EnthalpyDataCorrectionForm;
}

class EnthalpyDataCorrectionForm : public QWidget
{
    Q_OBJECT

public:
    explicit EnthalpyDataCorrectionForm(QWidget *parent = nullptr);
    ~EnthalpyDataCorrectionForm();

private slots:
    void on_pushButtonSave_clicked();

    void on_pushButtonExit_clicked();
private:
    void saveJson();
private:
    double _atmosphere;
    double _heatingRate;
    struct TheoryData{
        QString elementName;
        double temperature;
        double rate;
    };
    QVector<TheoryData> _theoryDataVtr;

    Ui::EnthalpyDataCorrectionForm *ui;
};

#endif // ENTHALPYDATACORRECTIONFORM_H
